package domain


type AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult struct {
    /*
        条目总数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        第一次调用会返回scroll_id 但并不包含数据，后续每次都必须指定上一次返回scroll_id，并且后续搜索结果中都会返回scroll_id及对应匹配的数据，后续查询该参数必填     */
    ScrollId  *string `json:"scroll_id,omitempty" `

    /*
        结果页数     */
    PageCount  *int64 `json:"page_count,omitempty" `

    /*
        商品主档对象     */
    ModelList  *[]AlibabaWdkSkuMerchantskuScrollQueryWdkOpenMerchantSkuDo `json:"model_list,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        分页大小     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        当前页码     */
    PageIndex  *int64 `json:"page_index,omitempty" `

}

func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetTotal(v int64) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.Total = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetScrollId(v string) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.ScrollId = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetPageCount(v int64) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.PageCount = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetModelList(v []AlibabaWdkSkuMerchantskuScrollQueryWdkOpenMerchantSkuDo) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.ModelList = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetErrMsg(v string) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetErrCode(v string) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetPageSize(v int64) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.PageSize = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetSuccess(v bool) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult) SetPageIndex(v int64) *AlibabaWdkSkuMerchantskuScrollQueryApiScrollPageResult {
    s.PageIndex = &v
    return s
}
